program diab_pot
    use potMod
    implicit none
    integer,parameter :: nq1=3, nq2=3, nq3=3, nq4=3, nq5=3, nq6=3, nq7=3
    integer,parameter :: nq8=3, nq9=3, nq10=3, nq11=3
    real(kind=dp),parameter :: q1r(2) = [-0.6_dp, 0.6_dp], &
                               q2r(2) = [-0.6_dp, 0.6_dp], &
                               q3r(2) = [-0.6_dp, 0.6_dp], &
                               q4r(2) = [-0.6_dp, 0.6_dp], &
                               q5r(2) = [-0.6_dp, 0.6_dp], &
                               q6r(2) = [-0.6_dp, 0.6_dp], &
                               q7r(2) = [-0.6_dp, 0.6_dp], &
                               q8r(2) = [-0.6_dp, 0.6_dp], &
                               q9r(2) = [-0.6_dp, 0.6_dp], &
                               q10r(2) = [-0.6_dp, 0.6_dp], &
                               q11r(2) = [-0.6_dp, 0.6_dp]
    real(kind=dp) :: q1(nq1),q2(nq2),q3(nq3),q4(nq4),q5(nq5),q6(nq6),q7(nq7),q8(nq8),q9(nq9),q10(nq10),q11(nq11)
    real(kind=dp) :: newgrid(nmode),potVal(nnstate)
    integer       :: i1,i2,i3,i4,i5,i6,i7,i8,i9,i10,i11,ir,is,ie

    call system_clock(count_rate=ir)
    call system_clock(is)
    call initialize()

    q1 = linspace(q1r(1),q1r(2),nq1)
    q2 = linspace(q2r(1),q2r(2),nq2)
    q3 = linspace(q3r(1),q3r(2),nq3)
    q4 = linspace(q4r(1),q4r(2),nq4)
    q5 = linspace(q5r(1),q5r(2),nq5)
    q6 = linspace(q6r(1),q6r(2),nq6)
    q7 = linspace(q7r(1),q7r(2),nq7)
    q8 = linspace(q8r(1),q8r(2),nq8)
    q9 = linspace(q9r(1),q9r(2),nq9)
    q10 = linspace(q10r(1),q10r(2),nq10)
    q11 = linspace(q11r(1),q11r(2),nq11)

    do i1=1,nq1
        do i2=1,nq2
            do i3=1,nq3
               do i4=1,nq4
                  do i5=1,nq5
                     do i6=1,nq6
                        do i7=1,nq7
                           do i8=1,nq8
                              do i9=1,nq9
                                 do i10=1,nq10
                                    do i11=1,nq11

                                    newgrid = [q1(i1),q2(i2),q3(i3),q4(i4),q5(i5),q6(i6),q7(i7),q8(i8),q9(i9),q10(i10),q11(i11)]
                                    call potential(newgrid,potVal)

                                    write(200,44) newgrid,potVal
 
                                    enddo
                                 enddo
                              enddo
                           enddo
                        enddo
                     enddo
                  enddo
               enddo
            enddo
        enddo
    enddo

 44 format(1x,32f14.6)

    call system_clock(ie)
    write(*,'("CPU time (sec):",f10.4)') real(ie-is)/ir


    contains
    function linspace(low, high, len) result(arr)
        integer :: len, i
        real(kind=dp) :: low, high, arr(len)
        arr = low + [(i-1,i=1,len)]*(high-low)/real(len-1,dp)
    end function linspace
end program diab_pot
